Product Information - About our software
DWmail

Minimum System Requirements:

  • PHP 4.1.0 or higher. Works with PHP 5
  • --with-imap, IMAP extensions to PHP (also know as IMAP c-client). Even if you only intend to use POP3 connection with DWmail you MUST meet this requirement.
  • PHP session support
  • Sending email support using PHP's mail() or using SMTP (local email accounts only)
  • At least one POP3 or IMAP4 mail server and email account to use with DWmail
  • PCRE (Perl Compatible Regular Expressions)

Supported Databases:

  • MySQL 3.23.x+
  • MySQLi 4.0.x, 4.1.x, 5.0.x, 5.1.x, 6.0.x
  • PostgreSQL
  • Microsoft SQL Server 2005 or higher

Recommended Additional Requirements:

  • Zlib support for generating ZIP files

Many default installations of PHP, especially Windows or Linux RPM installs are compatible with DWmail or need minor modifications to add IMAP support

If you wish to make use of POP3 SSL or IMAP4 SSL you will additionally need --with-imap-ssl compiled with PHP (completely optional setting). POP3 SSL mode will behave as POP3 without access to IMAP folders, etc.

How to test your setup:

We have provided a number of test PHP scripts so you can see if your server will be able to run DWmail. These simple scripts will test that these requirements above are met.

It is strongly recommended that if you have any doubts as to whether your system supports the requirements you should install download and use the test scripts first. There are no refunds for this product if your system does not meet the system requirements. PHP 4.1.0 or greater is especially important as our products will not work on older versions due to structural changes of the PHP language. Also see sending email through DWmail, behind the scenes.

Please note: DWmail only supports SMTP and SMTP authentication for local mail accounts. This means that you must run DWmail in 'local' mode which only allows connection to a single mail server rather than the default 'remote' mode which allows connections to any POP3 or IMAP4 server on the Internet.

Client Browser Support:

DWmail has successfully been tested on a range of client browsers including Internet Explorer 6, Mozilla, Firefox, Safari and Konquerer. WYSWIYG email sending requires at least Internet Explorer 5.5+, Mozilla 1.4+ or Firefox 0.6.1+. For the best user experience it is recommended have JavaScript enabled.

Test environments:

Dominion Web have successfully tested DWmail on varying systems from Windows to Linux and have personally tested the following versions:

PHP

  • 4.1.0
  • 4.2.0
  • 4.3.0
  • 4.3.1
  • 4.3.2
  • 4.3.3
  • 4.3.4
  • 4.3.5
  • 4.3.6
  • 4.3.7
  • 4.3.10
  • 5.0.0
  • 5.1.0
  • 5.2.0

MySQL

  • 3.23
  • 4.0
  • 4.1
  • 5.0
  • 5.1

PostgreSQL

  • 7.4
  • 8.2

Microsoft SQL Server

  • 2005

Web Servers

  • Apache 1.3.x
  • Apache 2.0.x
  • Apache 2.2.x
  • IIS 5
  • IIS 6
  • IIS 7

Email MTAs

  • Courier IMAP with qmail

 

 

 

 

 

 

Copyright 1997-2009 Dominion Web All rights reserved. Privacy Policy.
Customer Support Area, Forums and Community Public and Customer Download Area DW:Design - Dominion Web DesignSoftware and Applications for the iPhone and iPod Touch Windows Applications and .NET Developer Components Dominion Web - Just imagine the possibilities Web Server Applications and Scripts